Summary:        Library providing low-level IEEE-1394 access
Name:           libraw1394
Version:        1.3.0
Release:        1%{?dist}
License:        LGPL
Group:          System Environment/Libraries
Source:         http://www.linux1394.org/dl/libraw1394-%{version}.tar.gz
URL:            http://www.linux1394.org/
ExcludeArch:    s390 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake libtool

Source1:        firewire-cdev.h
Patch0:         libraw1394-juju.patch
Patch1:         libraw1394-juju-no-double-free-on-shutdown.patch
Patch2:         libraw1394-juju-bitfield-update.patch

%description
The libraw1394 library provides direct access to the IEEE-1394 bus through
the Linux 1394 subsystem's raw1394 user space interface.

%package devel
Summary:       Development libs for libraw1394
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}, pkgconfig

%description devel
Development libraries needed to build applications against libraw1394.

%prep
%setup -q
%patch0 -p1 -b .juju
%patch1 -p1 -b .free
%patch2 -p1 -b .bitf

%build
if test ! -e %{_builddir}/linux/firewire-cdev.h; then
	mkdir %{_builddir}/linux
	cp %{_sourcedir}/firewire-cdev.h %{_builddir}/linux
fi
aclocal
autoheader
autoconf
automake
%configure --disable-static --with-juju-dir=$PWD/..
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libraw1394.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc COPYING.LIB README NEWS
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_bindir}/testlibraw
%{_libdir}/libraw1394.so.*
%{_mandir}/man1/dumpiso.1.gz
%{_mandir}/man1/sendiso.1.gz
%{_mandir}/man1/testlibraw.1.gz
%{_mandir}/man5/isodump.5.gz

%files devel
%defattr(-,root,root,0755)
%doc doc/libraw1394.sgml
%{_includedir}/libraw1394/
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/libraw1394.pc


%changelog
* Mon Dec 10 2007 Jarod Wilson <jwilson@redhat.com> - 1.3.0-1
- Update to libraw1394 v1.3.0
- Build with juju FireWire stack support (#410601)

* Wed Jul 12 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.1-1
- update to 1.2.1
- use %%dist tag

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.0-3.fc5.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.0-3.fc5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.0-3.fc5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Dec 13 2005 Warren Togami <wtogami@redhat.com> - 1.2.0-3
- disable static and remove .la (#172642)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Warren Togami <wtogami@redhat.com> - 1.2.0-2
- spec fixes from Matthias (#172105)

* Fri Jul 22 2005 Warren Togami <wtogami@redhat.com> - 1.2.0-1
- 1.2.0

* Wed Mar 16 2005 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 28 2005 Warren Togami <wtogami@redhat.com. 1.1.0-2
- gcc4 rebuild

* Sun Feb 06 2005 Warren Togami <wtogami@redhat.com> 1.1.0-1
- 1.1.0

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 0.10.1-3
- Fixed warnings in shipped m4 file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr 05 2004 Warren Togami <wtogami@redhat.com> 0.10.1-1
- 0.10.1, license LGPL

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlinks to shared libs already at install time

* Thu Feb 12 2004 Warren Togami <wtogami@redhat.com> 0.10.0-1
- upgrade to 0.10.0
- Spec cleanups
- Remove INSTALL, add NEWS
- Add new binaries
- libtool, auto* not needed

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.9.0-12
- have -devel require main pacakge

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 0.9.0-10
- fix build with gcc 3.3

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com>
- ppc64 fix

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Michael Fulbright <msf@redhat.com>
- fixed up %%files list for devel subpackage and included api docs

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

